// SteamServer.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "conio.h"
#include "Config.h"
#include "Servers/Server_MasterDirectory.h"
#include "Servers/Server_Config.h"
#include "Servers/Server_ContentList.h"
#include "RSAMod.h"
#include "FileFormats/GCFFile.h"
#include "Patcher.h"
#include "fire666/Csocket.h"


int _tmain(int argc, _TCHAR* argv[])
{
	/*CGCFFile *gcf = new CGCFFile();
	gcf->LoadFromFile("f:\\games\\Steam\\steamapps\\winui.gcf");
	gcf->CreateInfo();
	//gcf->ExtractItem(0, "C:\\test\\");
	delete gcf;//!
	*/

	Csocket::init();
	RSA_Init();
	PatchAll();

	CMDS *MDS = new CMDS(GetConfigInt("Servers", "MDS_Port"));
	CConfigServer *CfS = new CConfigServer(GetConfigInt("Servers", "Config_Port"));
	CContentListServer *CL = new CContentListServer(GetConfigInt("Servers", "CList_Port"));
	_getch();
	delete CL;
	delete CfS;
	delete MDS;
	Csocket::deinit();
	return 0;
}

