// stdafx.cpp : source file that includes just the standard includes
// SteamServer.pch will be the pre-compiled header
// stdafx.obj will contain the pre-compiled type information

#include "stdafx.h"

#ifdef LOG
//void Log(char *ServerName, char *Mess)
void Log(char *ServerName, char *Format, ...)
{
	FILE *f;
	fopen_s(&f, ".\\log.txt", "ab");
	fseek(f, 0, SEEK_END);
	printf("%s: ", ServerName);
	fprintf(f, "%s: ", ServerName);

	va_list argptr;
	va_start(argptr, Format);
	vprintf_s(Format, argptr);
	vfprintf_s(f, Format, argptr);
	va_end(argptr);

	printf("\n");
	fprintf(f, "\n");
	fclose(f);
}
#endif

char *CopyStr(char *src)
{
	int len = strlen(src);
	if (len == 0)
		len = 4;
	char *res = new char[len+1];
	memcpy(res, src, len);
	res[len] = '\x00';
	return res;
}

char *CopyStr(char *src, int len)
{
	char *res = new char[len+1];
	memcpy(res, src, len);
	res[len] = '\x00';
	return res;
}

// TODO: reference any additional headers you need in STDAFX.H
// and not in this file