// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#include "targetver.h"

#include<stdio.h>
#include<stdlib.h>
#include<iostream>
#include<string.h>
#include<tchar.h>
#include<winsock2.h>
#include<windows.h>
#include <time.h>
#include <locale.h>
#include <vector>

#define LOG

extern struct TClient;
extern struct TServerAddr;
extern class CStream;
extern class CSteamServer;
extern class CMDS;
extern class CConfigServer;
extern class CContentListServer;
extern class CBLOBFile;
extern class CBLOBNode;
extern class CCDR;

#ifdef LOG
//void Log(char *ServerName, char *Mess);
void Log(char *ServerName, char *Format, ...);
#endif

typedef enum
{
	USE_SEEK_BEGINNING = 0,
	USE_SEEK_CURRENT,
	USE_SEEK_END
} ESeekMode;

struct StreamData
{
	// standart stream's
	UINT8 *Memory;
	handle_t Handle;

	// USE stream's
	bool IsChange;
	UINT64 Size;
	UINT64 Position;
	void *Package;
	CStream *FileStream;
	// only from CGCFFile stream's
	std::vector<UINT32> Sectors;
};

struct ItemRec
{
	void *Package;
	UINT32 Item;
};

struct FindRecord
{
	bool IsLocalSearch;
	handle_t Handle;
	char *Mask;
	char *Path;
	ItemRec Root;
	ItemRec Current;
	void *CustomData;
};

char *CopyStr(char *src);
char *CopyStr(char *src, int len);
// TODO: reference additional headers your program requires here
